Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280728 (perl-sitedir) - [TRACKER] Perl packages should install to vendor and not site
Summary: [TRACKER] Perl packages should install to vendor and not site
Status: RESOLVED FIXED
Alias: perl-sitedir
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 283723 283732 283734 283753 283757 294589 294590 294853 294854 294856 294892 295105 295113 295118 295170 295780 295895 295899 296634 296844 296894 296903 297134 297204 297507 297589 298019 298215 298447 298455 298528 299230 299760 310839 321807 342793 349772 351036 362231 378167 387477 421709 431232
Blocks: 224577 280730
  Show dependency tree
 
Reported: 2009-08-08 09:14 UTC by Torsten Veller (RETIRED)
Modified: 2014-12-09 22:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Veller (RETIRED) gentoo-dev 2009-08-08 09:14:11 UTC
Track packages that install to site.
They should install to vendor
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2009-09-05 09:13:28 UTC
A probably not complete list of packages installing to site_perl,
generate from flameeyes tinderbox:

app-arch/rpm
app-backup/amanda
app-backup/backup-manager
app-mobilephone/obexftp
app-pda/coldsync
app-text/freepwing
app-text/htag
dev-lang/eleven
dev-libs/clearsilver
dev-libs/libprelude
dev-libs/libpreludedb
dev-libs/redland-bindings
dev-perl/Cflow
dev-perl/jcode_pl
games-arcade/frozen-bubble
media-gfx/imagemagick
media-libs/ming
media-libs/pdflib
net-analyzer/munin
net-analyzer/net-snmp
net-analyzer/rrdtool
net-analyzer/symon
net-im/sendxmpp
net-im/silc-plugin
net-mail/cyrus-imap-admin
net-mail/mhonarc
net-misc/bwwhois
sci-biology/vienna-rna
sys-cluster/onesis
sys-fs/owfs
www-apache/libapreq2
www-servers/nginx
x11-misc/adesklets
xfce-base/xfconf
Comment 2 Torsten Veller (RETIRED) gentoo-dev 2009-09-06 18:24:16 UTC
dev-lang/perl installs packages to _core_,
distributed packages go to _vendor_ and
locally installed modules (not packaged) go to _site_.
<http://search.cpan.org/dist/perl/INSTALL#Installation_Directories>

Site is where tools like cpan and cpanp should install perl modules.

Think of /usr/bin/ and /usr/local/bin and see also bug 280730 about moving site to /usr/local.
Comment 3 Torsten Veller (RETIRED) gentoo-dev 2011-01-07 18:48:59 UTC
- econf $(use_with perl perl-bindings) --disable-static
+ econf $(use_with perl perl-bindings INSTALLDIRS=vendor) --disable-static
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2011-01-07 18:49:44 UTC
^ wrong bug :(
Comment 5 Andreas K. Hüttel gentoo-dev 2014-12-09 22:31:04 UTC
Closing the tracker after all bugs have been fixed.